Subject: Re: bug#51446: [PATCH] image-dired: Unreverse accidentally reversed menus

From: Eli Zaretskii <[email-masked]>
Date: Thu, 28 Oct 2021 12:32:37 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Thu, 28 Oct 2021 00:27:18 -0700
> Cc: [email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I don't understand: I seem to see the same order of the menu items in
> > Emacs 27 and on the current release branch, so what am I missing?
> 
> The regression was introduced in Emacs 26.1, in these commits:
> 
>     $ git tag --contain=bed0373855ea | head -3
>     emacs-26.0.90
>     emacs-26.0.91
>     emacs-26.1
>     $ git tag --contain=b905454680c7 | head -3
>     emacs-26.0.90
>     emacs-26.0.91
>     emacs-26.1
> 
> It's the easy-to-make mistake of converting to easy-menu-define without
> realizing that the order is not reversed there.

Thanks.  I cannot invoke image-dired-minor-mode in Emacs 25, so I
cannot see the problem.  I don't really understand why the order of
the items in the menu matters in this case.  but it doesn't matter;
please go ahead and install the change.